aboutsummaryrefslogtreecommitdiff
path: root/test/T160-json.sh
diff options
context:
space:
mode:
authorFelipe Contreras <felipe.contreras@gmail.com>2021-05-15 15:47:44 -0500
committerDavid Bremner <david@tethera.net>2021-05-17 07:29:04 -0300
commit92454bc0935604f4a623e75dec9506c0283eee70 (patch)
tree77c3a1a14dc9b31220bc3202065eea209b8e98e5 /test/T160-json.sh
parentbba4788aec63d69f17cfc5936cde8df4ea39c2da (diff)
test: split emacs functionality to its own file
This way it's easier to identify the tests that do require emacs stuff. Signed-off-by: Felipe Contreras <felipe.contreras@gmail.com>
Diffstat (limited to 'test/T160-json.sh')
-rwxr-xr-xtest/T160-json.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/test/T160-json.sh b/test/T160-json.sh
index e8b75605..638afb4d 100755
--- a/test/T160-json.sh
+++ b/test/T160-json.sh
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
test_description="--format=json output"
. $(dirname "$0")/test-lib.sh || exit 1
+. $(dirname "$0")/test-lib-emacs.sh || exit 1
test_begin_subtest "Show message: json"
add_message "[subject]=\"json-show-subject\"" "[date]=\"Sat, 01 Jan 2000 12:00:00 -0000\"" "[bcc]=\"test_suite+bcc@notmuchmail.org\"" "[reply-to]=\"test_suite+replyto@notmuchmail.org\"" "[body]=\"json-show-message\""